Subject: [pim] PIMDM questions

From: Satyanarayana Dillikar <[email-masked]>
Date: Fri, 23 Nov 2007 01:54:32 -0800 (PST)

1) PIMDM uses State Refresh Message every 60secs. For
large number of (S, G) (say 1024) , there will be a
flood of PIMDM control packets in the pim domain.
Instead the State Refresh Message Format should have
allowed to club multiple (S, G)'s in a single State
Refresh Message. This will reduce the control traffic
but also has the effect of multiply the loss of (S, G)
State-Referesh state. What is the rationale behind
having one (S, G) in “RFC3973 Section 4.7.10.  State
Refresh Message Format”

2) PIMDM does not use the concept of DR-election.
RFC3973 does not suggest using DR-Priority option in
PIM-Hello packets (see RFC3973 Section 4.7.5.  Hello
Message Format). I think by using DR concept we can
reduce the number of PIM Assert Messages on
multi-access LANs when working with large number of
(S,G) entires.  Is there any specific reason for not
using DR-priority in PIMDM?

Thanks
Satya

      ____________________________________________________________________________________
Get easy, one-click access to your favorites. 
Make Yahoo! your homepage.
http://www.yahoo.com/r/hs 

_______________________________________________
pim mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pim

---

From: "Nicholas, Jonathan - ACD " <[email-masked]>
Date: Sat, 24 Nov 2007 07:57:04 -0500

1)  No particularly good reason.  There didn't seem to be a large need,
and the there was a certain desire to remain compatible with existing
implementations based on an earlier internet draft for State Refresh.

2)  Use of DR Priority rather than Asserts could easily lead to
erroneous behavior.  Imagine a LAN with two or more PIM-DM routers.  One
is selected as the DR and the other is not.  If we suppose a source
behind the non-DR router begins originating traffic, then the DR will
not be an upstream router for that data flow, but could easily be an
upstream router for other data flows.  Asserts MUST be based on source.
Even within PIM-SM, DRs are for selecting a tunnel agent, not for
resolving tree distribution mechanisms.  Asserts are used to resolve
tree distribution issues.

Jonathan Nicholas

> -----Original Message-----
> From: Satyanarayana Dillikar [mailto:[email-masked]] 
> Sent: Friday, November 23, 2007 4:55 AM
> To: [email-masked]
> Subject: [pim] PIMDM questions
> 
> 1) PIMDM uses State Refresh Message every 60secs. For large 
> number of (S, G) (say 1024) , there will be a flood of PIMDM 
> control packets in the pim domain.
> Instead the State Refresh Message Format should have allowed 
> to club multiple (S, G)'s in a single State Refresh Message. 
> This will reduce the control traffic but also has the effect 
> of multiply the loss of (S, G) State-Referesh state. What is 
> the rationale behind having one (S, G) in "RFC3973 Section 
> 4.7.10.  State Refresh Message Format"
> 
> 
> PIM-Hello packets (see RFC3973 Section 4.7.5.  Hello Message 
> Format). I think by using DR concept we can reduce the number 
> of PIM Assert Messages on multi-access LANs when working with 
> large number of
> (S,G) entires.  Is there any specific reason for not using 
> DR-priority in PIMDM?
> 
> 
> Thanks
> Satya
> 
> 
> 
>       
*****************************************************************
This e-mail and any files transmitted with it may be proprietary 
and are intended solely for the use of the individual or entity to 
whom they are addressed. If you have received this e-mail in 
error please notify the sender. Please note that any views or
opinions presented in this e-mail are solely those of the author 
and do not necessarily represent those of ITT Corporation. The 
recipient should check this e-mail and any attachments for the 
presence of viruses. ITT accepts no liability for any damage 
caused by any virus transmitted by this e-mail.
*******************************************************************